Package de.willuhn.jameica.hbci.gui.chart

# Class ChartFeatureTooltip

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.ChartFeatureTooltip

All Implemented Interfaces:
  `ChartFeature`

public class ChartFeatureTooltip extends Object implements ChartFeature
Chart-Feature, welches Tooltips anzeigt.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ChartFeatureTooltip.SeriesData`
Haelt die Werte des ausgewaehlten Datensatzes.

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.gui.chart.ChartFeature

`ChartFeature.Context, ChartFeature.Event`

## Constructor Summary

Constructors
Constructor
Description
`ChartFeatureTooltip()`

## Method Summary

Modifier and Type
Method
Description
`protected Collection<ChartFeatureTooltip.SeriesData>`
`findClosestSeries(org.eclipse.swtchart.Chart chart, org.eclipse.swt.events.MouseEvent event, org.eclipse.swtchart.IAxis xAxis, org.eclipse.swtchart.IAxis yAxis)`
Ermittelt das oder die DataSets, die am nächsten zum Mauszeiger liegen.
`protected String`
`formatSeriesLabel(ChartFeatureTooltip.SeriesData data)`
Liefert den Namen einer Datenserie für den Tooltip.
`protected String`
`formatSeriesValue(ChartFeatureTooltip.SeriesData data)`
Liefert den anzuzeigenden Tooltip-Text.
`protected String`
`getTooltipText(Collection<ChartFeatureTooltip.SeriesData> foundData)`
Hier wird der Tooltip-Text gebaut.
`void`
`handleEvent(ChartFeature.Event e, ChartFeature.Context ctx)`
Wird aufgerufen, wenn das angegebene Event ausgeloest wurde.
`boolean`
`onEvent(ChartFeature.Event e)`
Liefert true, wenn das Feature auf das angegebene Event reagieren soll.
`protected void`
`paintChartPoint(org.eclipse.swt.graphics.GC gc, int highlightX, int highlightY, org.eclipse.swtchart.ISeries series)`
Zeichnet einen Indikator an die aktuelle Chart-Position, auf die sich der Tooltip bezieht.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartFeatureTooltip

public ChartFeatureTooltip()

## Method Details

### onEvent

public boolean onEvent(ChartFeature.Event e)
Description copied from interface: `ChartFeature`
Liefert true, wenn das Feature auf das angegebene Event reagieren soll.

Specified by:
  `onEvent` in interface `ChartFeature`
Parameters:
  `e` - das Event.
Returns:
  true, wenn es auf das angegebene Event reagieren soll.
See Also:
  - `ChartFeature.onEvent(de.willuhn.jameica.hbci.gui.chart.ChartFeature.Event)`

### handleEvent

public void handleEvent(ChartFeature.Event e, ChartFeature.Context ctx)
Description copied from interface: `ChartFeature`
Wird aufgerufen, wenn das angegebene Event ausgeloest wurde.

Specified by:
  `handleEvent` in interface `ChartFeature`
Parameters:
  `e` - das Event.
  `ctx` - Context-Infos.
See Also:
  - `ChartFeature.handleEvent(de.willuhn.jameica.hbci.gui.chart.ChartFeature.Event, de.willuhn.jameica.hbci.gui.chart.ChartFeature.Context)`

### getTooltipText

protected String getTooltipText(Collection<ChartFeatureTooltip.SeriesData> foundData)
Hier wird der Tooltip-Text gebaut. Dieser besteht aus den Namen der betroffenen Series (falls an dem aktuellen Punkt mehrere Serien gefunden werden) und der Angabe des X- und Y-Wertes. Letztere koennen in Kindklassen typabhängig formatiert werden. Die Default-Implementierung geht davon aus, dass es sich um ein Line-Chart mit Zeitraum auf der X-Achse und Geldbetraegen auf der Y-Achse handelt.

Parameters:
  `foundData` -
Returns:
  der Tooltip-Text.

### formatSeriesLabel

protected String formatSeriesLabel(ChartFeatureTooltip.SeriesData data)
Liefert den Namen einer Datenserie für den Tooltip.

Parameters:
  `data` -
Returns:

### formatSeriesValue

protected String formatSeriesValue(ChartFeatureTooltip.SeriesData data)
Liefert den anzuzeigenden Tooltip-Text.

Parameters:
  `data` - der Datensatz, fuer den der Tooltip angezeigt werden soll.
Returns:
  der Tooltip-Text,

### paintChartPoint

protected void paintChartPoint(org.eclipse.swt.graphics.GC gc, int highlightX, int highlightY, org.eclipse.swtchart.ISeries series)
Zeichnet einen Indikator an die aktuelle Chart-Position, auf die sich der Tooltip bezieht.

Parameters:
  `gc` -
  `highlightX` -
  `highlightY` -

### findClosestSeries

protected Collection<ChartFeatureTooltip.SeriesData> findClosestSeries(org.eclipse.swtchart.Chart chart, org.eclipse.swt.events.MouseEvent event, org.eclipse.swtchart.IAxis xAxis, org.eclipse.swtchart.IAxis yAxis)
Ermittelt das oder die DataSets, die am nächsten zum Mauszeiger liegen.

Parameters:
  `chart` -
  `event` -
  `xAxis` -
  `yAxis` -
Returns: